Package com.taosdata.jdbc.bean

## Class TSDBPreparedParam

- java.lang.Object
- - com.taosdata.jdbc.bean.TSDBPreparedParam

    public class TSDBPreparedParam
    extends Object

tdengine batch insert or import param object

### Constructor Summary

Constructors
`TSDBPreparedParam​(String tableName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Object>` `getMiddleParamList()`
`String` `getTableName()`
`List<Object>` `getValueList()`
`void` `setMiddleParam​(int parameterIndex, Object x)`
`void` `setMiddleParamList​(List<Object> middleParamList)`
`void` `setTableName​(String tableName)`
`void` `setValueList​(List<Object> valueList)`
`void` `setValueParam​(int parameterIndex, Object x)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TSDBPreparedParam

    public TSDBPreparedParam​(String tableName)

### Method Detail

#### getTableName

    public String getTableName()

#### setTableName

    public void setTableName​(String tableName)

#### getMiddleParamList

    public List<Object> getMiddleParamList()

#### setMiddleParamList

    public void setMiddleParamList​(List<Object> middleParamList)

#### setMiddleParam

    public void setMiddleParam​(int parameterIndex,
                               Object x)

#### getValueList

    public List<Object> getValueList()

#### setValueList

    public void setValueList​(List<Object> valueList)

#### setValueParam

    public void setValueParam​(int parameterIndex,
                              Object x)